/**
 * @file
 * @brief ライティング済み3Dスプライト属性の定義を行う.
 * 
 * @author S.F.
 * @version $Id:
 *
 * Copyright (C) 2000-2002 Satoshi Fujiwara. All Rights Reserved.*/
#include "sfdebug.h"

#include <string>
#include "stdio.h"
#include "math.h"

#include "system.h"
#include "console.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#include "Obj3D.h"
#include "Obj3DL.h"

//////////////////////////////////////////////////////////////////////
// 構築/消滅
//////////////////////////////////////////////////////////////////////
using namespace sf::system::console;

Obj3DL::Obj3DL() : Obj3D()
{
	mColor = 0xffffffff;
  	mSpecular = 0;

	Obj::List::insertObj(this);
}

Obj3DL::~Obj3DL()
{
	Obj::List::deleteObj(this);
}
